Skip to main content
GET
/
domains
/
{id}
/
zone-records
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.domains.zoneRecords({
    id: "<id>",
  });

  console.log(result);
}

run();
{
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "name": "<string>",
      "value": "<string>",
      "ttl": 123,
      "ownership": "<string>",
      "locked": true,
      "priority": 123,
      "proxied": true,
      "comment": "<string>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Response

The zone's DNS records

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required